%{?scl:%scl_package python-pyramid-chameleon}
%{!?scl:%global pkg_name %{name}}

%global module pyramid_chameleon

Name:             %{?scl_prefix}python-pyramid-chameleon
Summary:          Bindings for the Chameleon templating system in the Pyramid web framework
Version:          0.1
Release:          3%{?dist}

# https://fedoraproject.org/wiki/Licensing:BSD?rd=Licensing/BSD#Modification_Variant
License:          BSD
URL:              https://pypi.python.org/pypi/%{module}
Source0:          https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    %{?scl_prefix_python}python-devel
BuildRequires:    %{?scl_prefix_python}python-setuptools

Requires:         %{?scl_prefix}python-chameleon
Requires:         %{?scl_prefix}python-pyramid
Requires:         %{?scl_prefix_python}python-setuptools

%description
Bindings for the Chameleon templating system for the Pyramid web framework.

%prep
%setup -q -n %{module}-%{version}

%build
%{?scl:scl enable %{scl} - << \EOF}
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install --skip-build --root %{buildroot}
%{?scl:EOF}

%files
%doc CONTRIBUTORS.txt COPYRIGHT.txt README.rst
%{python_sitelib}/%{module}*

%changelog
* Thu Oct 30 2014 Slavek Kabrda <bkabrda@redhat.com> - 0.1-3
- Rebuilt for SCL

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jun 01 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 0.1-1
- Initial package for Fedora.
